Get Connection Health Reports for all merchants that you are connected to.
This endpoint cached once every 24 hours. The data you see may be stale, although if you refresh a specific merchant, those updates will be reflected here. We highly recommend subscribing to our Webhooks to get accurate information about when a merchant needs attention.
Get Connection Health
get
Reports for all accessible merchants.
Query parameters
app_idinteger · int32Required
exclude_publicbooleanOptionalDefault: true
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default
default response
application/json
The container for all status objects comprising merchant connection health
merchant_idinteger · int32Optional
The id of the merchant this connection health report pertains to
merchant_namestringOptional
The name of the merchant this connection health report pertains to
merchant_emailstringOptional
The obfuscated email address of the merchant this connection health report pertains to
merchant_statusstring · enumOptional
The status/state of the merchant this connection health report pertains to
GET /v1/operations/connection_health?app_id=1 HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*